View Issue Details

IDProjectCategoryView StatusLast Update
0000753SketcherBugpublic2017-01-08 15:48
Reporterjmaustpc Assigned Tomrlukeparry  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform32 bitOSKubuntuOS Version12.04
Product Version 
Target VersionFixed in Version0.17 
Summary0000753: angle constraint auto places the constraints visuals including its value in the wrong place
Descriptionangle constraint auto places the constraints visuals including its value in the wrong place

For example in the files attached there is an angle constraint between to lines but the constraint and its value are shown 180 degrees from their expected appropriate position in the sketch.
Steps To Reproducesee FreeCAD file and screen shot attached
Additional Informationfull version data

Platform: Ubuntu 12.04 LTS (32-bit)
Version: 0.13.1160 (Git)
Branch: master
Hash: 9ae96083d37d0952307fda2ad3cc3764d3ff793c
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.1
TagsNo tags attached.

Activities

2012-06-16 04:18

 

lukessketcher_angleconstraint in wrong place3.FCStd (8,079 bytes)

2012-06-16 04:19

 

jmaustpc

2012-06-16 04:22

manager   ~0002208

the issue in this ticket is circled in the screen shot in yellow to the right. The other circled constraint relate to constraint visual being auto/default placed on top of each other and relates to ticket number 0000752

mrlukeparry

2012-06-16 09:38

developer   ~0002211

recognised. I assume this doesn't happen with the older Constraint Visuals (outside my branch) so I hopefully I can look back at the previous code and get it fixed.

Related Changesets

FreeCAD: master 81e9228c

2017-01-08 16:47:06

wmayer

Details Diff
issue 0000753: angle constraint auto places the constraints visuals including its value in the wrong place Affected Issues
0000753
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2012-06-16 04:18 jmaustpc New Issue
2012-06-16 04:18 jmaustpc File Added: lukessketcher_angleconstraint in wrong place3.FCStd
2012-06-16 04:19 jmaustpc File Added: lukessketcherbranch_anglecontraint shows in wrong place.jpg
2012-06-16 04:22 jmaustpc Note Added: 0002208
2012-06-16 09:38 mrlukeparry Note Added: 0002211
2012-07-01 12:50 yorik Project FreeCAD => Sketcher
2012-12-20 20:44 Jriegel Assigned To => mrlukeparry
2012-12-20 20:44 Jriegel Status new => confirmed
2017-01-08 15:47 wmayer Changeset attached => FreeCAD Master master 81e9228c
2017-01-08 15:48 wmayer Status confirmed => closed
2017-01-08 15:48 wmayer Resolution open => fixed
2017-01-08 15:48 wmayer Fixed in Version => 0.17